if [ -z "$GIT_BRANCH" ]
then
# GIT_BRANCH is empty use git 
    echo '{ "branch": "'$(git branch | grep \* | cut -d ' ' -f2)'", "commit": "'$(git rev-parse --short=5 --verify HEAD)'"}' > ./src/config/revision.json
else 
# user GIT_BRANCH
    echo '{ "branch": "'$GIT_BRANCH'", "commit": "'$(git rev-parse --short=5 --verify HEAD)'"}' > ./src/config/revision.json
fi